FF Older versions no longer supported :( Rated 4 out of 5 stars

Nice to see this working. But this ain't work with ESR editions due to storage engine bugs (pages keep converting automatically though I dint do anything or some times pages stuck where I've to select the Kindle) and only works better with FF 17 and above and not with FF 10 as mentioned in the installation page.

This review is for a previous version of the add-on (1.0.2.56).